SET NOCOUNT ON
USE master
GO

-- ==============================================================
PRINT 'CREATE DATABASE TestDB1'
GO

IF EXISTS (SELECT * FROM sys.databases WHERE [name] = 'TestDB1')
    DROP DATABASE TestDB1
GO

CREATE DATABASE TestDB1 ON (
	NAME        = N'TestDB1_Primary',
	FILENAME    = N'L:\TestDB1_Primary.MDF',
	SIZE        = 20,
	FILEGROWTH  = 10%
)
LOG ON (
	NAME = N'TestDB1_Log',
	FILENAME    = N'C:\TestDB1_Log.LDF',
	SIZE        = 2,
	FILEGROWTH  = 10%
)
GO

USE TestDB1
GO

EXEC sp_changedbowner 'sa'
GO

PRINT 'Set database options'
GO
ALTER DATABASE TestDB1 SET ANSI_NULLS              ON
ALTER DATABASE TestDB1 SET ANSI_PADDING            ON
ALTER DATABASE TestDB1 SET ANSI_WARNINGS           ON
ALTER DATABASE TestDB1 SET ARITHABORT              ON
ALTER DATABASE TestDB1 SET CONCAT_NULL_YIELDS_NULL ON
ALTER DATABASE TestDB1 SET NUMERIC_ROUNDABORT      OFF
ALTER DATABASE TestDB1 SET QUOTED_IDENTIFIER       ON
GO

CREATE SCHEMA Perf
GO

PRINT '<< DONE >>'
GO
