SET NOCOUNT ON
USE TestDB1
GO

IF EXISTS (SELECT * FROM sys.tables WHERE [name] = 'Card')
    DROP TABLE Perf.[Card]
GO

-- ==============================================================
PRINT N'Create table Card'
GO
CREATE TABLE Perf.[Card] (
    CardID              int         NOT NULL    IDENTITY(1,1),
    CardNumber          bigint      NOT NULL,
    SecurityCode        smallint    NOT NULL,
    SecureString        char(36)    NOT NULL,
    ControlCase10       int         NOT NULL,
    ControlCase100      int         NOT NULL,
    ControlCase1000     int         NOT NULL,
    ControlCase10000    int         NOT NULL,

    CONSTRAINT PK_Card PRIMARY KEY CLUSTERED (CardID)
)
GO

CREATE NONCLUSTERED INDEX IX_Card_ControlCase10_1       ON Perf.[Card] (ControlCase10)    WHERE ControlCase10    = 1
CREATE NONCLUSTERED INDEX IX_Card_ControlCase10         ON Perf.[Card] (ControlCase10)
CREATE NONCLUSTERED INDEX IX_Card_ControlCase100_1      ON Perf.[Card] (ControlCase100)   WHERE ControlCase100   = 1
CREATE NONCLUSTERED INDEX IX_Card_ControlCase100        ON Perf.[Card] (ControlCase100)
CREATE NONCLUSTERED INDEX IX_Card_ControlCase1000_1     ON Perf.[Card] (ControlCase1000)  WHERE ControlCase1000  = 1
CREATE NONCLUSTERED INDEX IX_Card_ControlCase1000       ON Perf.[Card] (ControlCase1000)
CREATE NONCLUSTERED INDEX IX_Card_ControlCase10000_1    ON Perf.[Card] (ControlCase10000) WHERE ControlCase10000 = 1
CREATE NONCLUSTERED INDEX IX_Card_ControlCase10000      ON Perf.[Card] (ControlCase10000)
GO

PRINT '<< DONE >>'
GO
