SET NOCOUNT ON
USE TestDB1
GO

PRINT 'CREATE PROCEDURE Perf.CardCreate'
GO
IF EXISTS (SELECT * FROM sys.procedures WHERE [name] = 'CardCreate')
    DROP PROCEDURE Perf.CardCreate
GO
CREATE PROCEDURE Perf.CardCreate (
    @CardID             int             OUTPUT,
    @CardNumber         bigint,
    @SecurityCode       smallint,
    @SecureString       char(36),
    @ControlCase10      int,
    @ControlCase100     int,
    @ControlCase1000    int,
    @ControlCase10000   int
) AS
BEGIN
    SET NOCOUNT ON

    DECLARE @error      int

    INSERT INTO Perf.[Card] (
        --CardID,
        CardNumber,
        SecurityCode,
        SecureString,
        ControlCase10,
        ControlCase100,
        ControlCase1000,
        ControlCase10000
    )
    VALUES (
        @CardNumber,
        @SecurityCode,
        @SecureString,
        @ControlCase10,
        @ControlCase100,
        @ControlCase1000,
        @ControlCase10000
    )

    -- Error check
    SELECT
        @error  = @@error,
        @CardID = SCOPE_IDENTITY()

    RETURN(@error)
END
GO

PRINT '<< DONE >>'
GO
