SET NOCOUNT ON
USE TestDB1
GO

TRUNCATE TABLE Perf.[Card]
GO

DECLARE @cardCt             int
DECLARE @cardID             int
DECLARE @cardMax            int
DECLARE @cardNumber         bigint
DECLARE @cardTypeID         tinyint
DECLARE @controlCase10      int
DECLARE @controlCase100     int
DECLARE @controlCase1000    int
DECLARE @controlCase10000   int
DECLARE @loopCt             int
DECLARE @rtnVal             int
DECLARE @secureString       varchar(36)
DECLARE @securityCode       smallint

SELECT @cardMax = 1000000

-- =====================================
PRINT 'Populate Card'
-- =====================================
SET @loopCt = 0
WHILE @loopCt < @cardMax BEGIN
    SET @loopCt += 1

    SELECT
        @cardNumber     = RAND() * 10000000000000000 + 1,
        @securityCode   = RAND() * 1000 + 1,
        @SecureString   = CONVERT(char(36), NEWID()),
        @controlCase10      = @loopCt % 10,
        @controlCase100     = @loopCt % 100,
        @controlCase1000    = @loopCt % 1000,
        @controlCase10000   = @loopCt % 10000

    SET @rtnVal = NULL
    EXEC @rtnVal = Perf.CardCreate
        @CardID             = @cardID                   OUTPUT,
        @CardNumber         = @cardNumber,
        @SecurityCode       = @securityCode,
        @SecureString       = @secureString,
        @ControlCase10      = @controlCase10,
        @ControlCase100     = @controlCase100,
        @ControlCase1000    = @controlCase1000,
        @ControlCase10000   = @controlCase10000

    IF @rtnVal <> 0 BEGIN
        SELECT @cardNumber AS '@cardNumber', @securityCode AS '@securityCode', @SecureString AS '@SecureString'
    END
END

SELECT @cardCt = COUNT(*) FROM Perf.[Card]
PRINT @cardCt

PRINT '<< DONE >>'
GO

--ALTER INDEX ALL ON Perf.Purchase REBUILD
