
USE TestDB1
SET NOCOUNT ON
SET STATISTICS IO ON
--SET STATISTICS IO OFF
CHECKPOINT
DBCC DROPCLEANBUFFERS
GO

SELECT COUNT(*) AS Ct FROM Perf.[Card]

-- COUNT(*)
SELECT COUNT(*) AS Ct FROM Perf.[Card] WHERE ControlCase10    = 1
SELECT COUNT(*) AS Ct FROM Perf.[Card] WHERE ControlCase100   = 1
SELECT COUNT(*) AS Ct FROM Perf.[Card] WHERE ControlCase1000  = 1
SELECT COUNT(*) AS Ct FROM Perf.[Card] WHERE ControlCase10000 = 1
SELECT COUNT(*) AS Ct FROM Perf.[Card] WITH (INDEX(IX_Card_ControlCase10000_1)) WHERE ControlCase10000 = 1
SELECT COUNT(*) AS Ct FROM Perf.[Card] WITH (INDEX(PK_Card))                    WHERE ControlCase10000 = 1

-- CardID
SELECT CardID FROM Perf.[Card] WHERE ControlCase10    = 1
SELECT CardID FROM Perf.[Card] WHERE ControlCase100   = 1
SELECT CardID FROM Perf.[Card] WHERE ControlCase1000  = 1
SELECT CardID FROM Perf.[Card] WHERE ControlCase10000 = 1
SELECT CardID FROM Perf.[Card] WITH (INDEX(IX_Card_ControlCase10000_1)) WHERE ControlCase10000 = 1
SELECT CardID FROM Perf.[Card] WITH (INDEX(PK_Card))                    WHERE ControlCase10000 = 1

-- CardNumber
SELECT CardNumber FROM Perf.[Card] WHERE ControlCase10    = 1
SELECT CardNumber FROM Perf.[Card] WHERE ControlCase100   = 1
SELECT CardNumber FROM Perf.[Card] WHERE ControlCase1000  = 1
SELECT CardNumber FROM Perf.[Card] WHERE ControlCase10000 = 1

SELECT CardNumber FROM Perf.[Card]                                         WHERE ControlCase10   = 1
SELECT CardNumber FROM Perf.[Card] WITH (INDEX(IX_Card_ControlCase10_1))   WHERE ControlCase10   = 1

SELECT CardNumber FROM Perf.[Card] WITH (INDEX(PK_Card))                                        WHERE ControlCase1000  = 1
SELECT CardNumber FROM Perf.[Card] WITH (INDEX(IX_Card_ControlCase1000))                        WHERE ControlCase1000  = 1
SELECT CardNumber FROM Perf.[Card] WITH (INDEX(IX_Card_ControlCase1000_1))                      WHERE ControlCase1000  = 1
SELECT CardNumber FROM Perf.[Card] WITH (INDEX(IX_Card_ControlCase1000_IncludeCardNumber))      WHERE ControlCase1000  = 1
SELECT CardNumber FROM Perf.[Card] WITH (INDEX(IX_Card_ControlCase1000_1_IncludeCardNumber))    WHERE ControlCase1000  = 1

/*
-- INCLUDE Indexes - add after initial tests
CREATE NONCLUSTERED INDEX IX_Card_ControlCase10_1_IncludeCardNumber       ON Perf.[Card] (ControlCase10)    INCLUDE (CardNumber) WHERE ControlCase10    = 1
CREATE NONCLUSTERED INDEX IX_Card_ControlCase10_IncludeCardNumber         ON Perf.[Card] (ControlCase10)    INCLUDE (CardNumber)
CREATE NONCLUSTERED INDEX IX_Card_ControlCase100_1_IncludeCardNumber      ON Perf.[Card] (ControlCase100)   INCLUDE (CardNumber) WHERE ControlCase100   = 1
CREATE NONCLUSTERED INDEX IX_Card_ControlCase100_IncludeCardNumber        ON Perf.[Card] (ControlCase100)   INCLUDE (CardNumber)
CREATE NONCLUSTERED INDEX IX_Card_ControlCase1000_1_IncludeCardNumber     ON Perf.[Card] (ControlCase1000)  INCLUDE (CardNumber) WHERE ControlCase1000  = 1
CREATE NONCLUSTERED INDEX IX_Card_ControlCase1000_IncludeCardNumber       ON Perf.[Card] (ControlCase1000)  INCLUDE (CardNumber)
CREATE NONCLUSTERED INDEX IX_Card_ControlCase10000_1_IncludeCardNumber    ON Perf.[Card] (ControlCase10000) INCLUDE (CardNumber) WHERE ControlCase10000 = 1
CREATE NONCLUSTERED INDEX IX_Card_ControlCase10000_IncludeCardNumber      ON Perf.[Card] (ControlCase10000) INCLUDE (CardNumber)
sp_helpindex 'Perf.[Card]'
*/
